nn.pp.rccore

## Interface KeyboardInfoListener

- All Known Implementing Classes:
    RCAdapter

      public interface KeyboardInfoListener

  Event handlers for keyboard information and status events
  See Also:
    `RCCore.addKeyboardInfoListener(KeyboardInfoListener, int)`, `RCCore.removeKeyboardInfoListener(KeyboardInfoListener)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALL` All registration bits
    `static int` | `KEYBOARD_LEDS` Registration bit for keyboard LED related events
    `static int` | `KEYBOARD_MACROS` Deprecated.
    `static int` | `LOCAL_KEYBOARD` Deprecated.
    `static int` | `SOFT_KEYBOARD` Deprecated.
    `static int` | `SUN_KEYBOARD` Registration bit for Sun keyboard related events

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `keyboardLedStateChanged(java.util.List<RCCore.KeyboardLed> state)` The status of the keyboard LEDs has changed
    `void` | `keyboardMacroListChanged(java.util.List<IKeyboardMacro> macros)` Deprecated.
    `void` | `localKeyboardMappingChanged(java.util.Locale mapping)` Deprecated.
    `void` | `softKeyboardMappingChanged(java.util.Locale mapping)` Deprecated.
    `void` | `sunKeyboardSupported(boolean supported)` Sun keyboard support has changed

- - ### Field Detail

    - #### KEYBOARD_MACROS

          @Deprecated
          static final int KEYBOARD_MACROS

      Deprecated.
      Registration bit for keyboard macros list related events
      See Also:
        Constant Field Values

    - #### SOFT_KEYBOARD

          @Deprecated
          static final int SOFT_KEYBOARD

      Deprecated.
      Registration bit for soft keyboard related events
      See Also:
        Constant Field Values

    - #### LOCAL_KEYBOARD

          @Deprecated
          static final int LOCAL_KEYBOARD

      Deprecated.
      Registration bit for local keyboard related events
      See Also:
        Constant Field Values

    - #### KEYBOARD_LEDS

          static final int KEYBOARD_LEDS

      Registration bit for keyboard LED related events
      See Also:
        Constant Field Values

    - #### SUN_KEYBOARD

          static final int SUN_KEYBOARD

      Registration bit for Sun keyboard related events
      See Also:
        Constant Field Values

    - #### ALL

          static final int ALL

      All registration bits
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### keyboardMacroListChanged

          @Deprecated
          void keyboardMacroListChanged(java.util.List<IKeyboardMacro> macros)

      Deprecated.

      The list of pre-defined keyboard macros has changed.

      Note: this is not used anymore.

      This event is sent when registered with the `KEYBOARD_MACROS` event mask.

      Parameters:
        `macros` - the list of keyboard macros
      See Also:
        `RCCore.getKeyboardMacroList()`

    - #### softKeyboardMappingChanged

          @Deprecated
          void softKeyboardMappingChanged(java.util.Locale mapping)

      Deprecated.

      The pre-defined soft keyboard locale has changed.

      Note: this is not used anymore.

      This event is sent when registered with the `SOFT_KEYBOARD` event mask.

      Parameters:
        `mapping` - the mapping of the soft keyboard
      See Also:
        `RCCore.getSoftKeyboardMapping()`

    - #### localKeyboardMappingChanged

          @Deprecated
          void localKeyboardMappingChanged(java.util.Locale mapping)

      Deprecated.

      The pre-defined keyboard locale has changed.

      Note: this is not used anymore.

      This event is sent when registered with the `LOCAL_KEYBOARD` event mask.

      Parameters:
        `mapping` - the mapping of the soft keyboard
      See Also:
        `RCCore.getLocalKeyboardMapping()`

    - #### keyboardLedStateChanged

          void keyboardLedStateChanged(java.util.List<RCCore.KeyboardLed> state)

      The status of the keyboard LEDs has changed

      The KX tracks the state of keyboard LEDs (Caps, Num, Scroll lock) and informs the client about changes. These are reported through this event.

      This event is sent when registered with the `KEYBOARD_LEDS` event mask.

      Parameters:
        `state` - A list of keyboard LEDs which currently in "on" state
      See Also:
        `RCCore.getKeyboardLedState()`

    - #### sunKeyboardSupported

          void sunKeyboardSupported(boolean supported)

      Sun keyboard support has changed

      This event is sent when registered with the `SUN_KEYBOARD` event mask.

      Parameters:
        `supported` - true if the target supports Sun keyboards, false otherwise
      See Also:
        `RCCore.isSunKeyboardSupported()`

Copyright © 2025 Raritan Inc. All Rights Reserved.